Rating@Mail.ru

Форум сайта "Виртуальная энциклопедия "Linux по-русски"


Текущее время: 23 апр 2017, 11:06

Часовой пояс: UTC + 3 часа




Начать новую тему Ответить на тему  [ Сообщений: 48 ]  На страницу Пред.  1, 2, 3, 4, 5  След.
Автор Сообщение
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 16 апр 2016, 15:27 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Olej писал(а):
Так что проблема здесь, похоже, в Viber ... или, возможно, в недоустановленных по зависимостям что-то из библиотек GL.

Как оказалось:
1. это хорошо и давно известная проблема с OpenGL VirtualBox, вот Ticket #12941 (new defect), открытый более 2-х лет назад и разрешившийся (возможно?) только 9 дней назад...
2. вот что пишут об этом на странице https://www.virtualbox.org/wiki/Downloads VirtualBox:
Цитата:
Guest Additions update for Linux guests

After the 5.0.16 release, the Guest Additions were updated to support Linux guests with X.Org Server running without root privileges and to fix certain 3D acceleration-related issues.

VirtualBox 5.0.17 Guest Additions installer image
See here for the latest 5.0.x Additions test build containing the code


Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 16 апр 2016, 17:24 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Установил VirtualBox 5.0.17 Guest Additions (см. VirtualBox (ресурсы и возможности))
OpenGL наладился.
Но запуску Viber это всё-рано не помогает:
Код:
olej@osboxes:/opt/viber$ ./Viber
OpenGL Warning: glXCreatePbuffer not implemented by Chromium
OpenGL Warning: glXCreatePbuffer not implemented by Chromium
QOpenGLFramebufferObject: Unsupported framebuffer format.
QObject::connect: Cannot connect (null)::stateChanged(QNetworkSession::State) to QNetworkReplyHttpImpl::_q_networkSessionStateChanged(QNetworkSession::State)
Segmentation fault (core dumped)

Код:
olej@osboxes:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string:   Humper
OpenGL renderer string: Chromium
OpenGL version string:  2.1 Chromium 1.9

Not software rendered:    yes
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity 3D supported:       yes


Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 30 июн 2016, 00:00 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Напомнили мне, что я не доустановил Viber под Linux до конца...
Теперь это:
Код:
[olej@dell 2016_WORK]$ lsb_release -ircd
Distributor ID:   Fedora
Description:   Fedora release 23 (Twenty Three)
Release:   23
Codename:   TwentyThree

Берём здесь - Viber для Linux
Код:
[olej@dell Messanger]$ ls -l viber.rpm
-rw-rw-r--. 1 olej olej 138348910 июн 29 23:26 viber.rpm

Код:
[olej@dell Messanger]$ sudo dnf install viber.rpm
...
Выполнение транзакции
  Установка    : viber-6.0.1.5-2.x86_64                                                                                                  1/1
  Проверка     : viber-6.0.1.5-2.x86_64                                                                                                  1/1
Установлено:
  viber.x86_64 6.0.1.5-2
Выполнено!

Код:
[olej@dell Messanger]$ which Viber
/usr/bin/which: no Viber in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/opt/android-studio/bin:/home/olej/.local/bin:/home/olej/bin:/opt/android-studio/bin:/opt/android-studio/bin)

На путях его нет, но появился значок в меню запуска, и в его свойствах находим: /opt/viber/Viber
Код:
[olej@dell Messanger]$ ls -l /opt/viber
итого 178000
drwxr-xr-x. 1 root root       170 июн 29 23:33 icons
-rw-r--r--. 1 root root  10456832 апр 13 15:41 icudtl.dat
drwxr-xr-x. 1 root root       980 июн 29 23:33 lib
-rwxr-xr-x. 1 root root   6443456 апр 13 15:41 linkParser
drwxr-xr-x. 1 root root       254 июн 29 23:33 plugins
drwxr-xr-x. 1 root root       194 июн 29 23:33 qml
-rw-r--r--. 1 root root        61 апр 13 15:41 qt.conf
-rwxr-xr-x. 1 root root      6472 апр 13 15:41 QtWebEngineProcess
-rw-r--r--. 1 root root    741566 апр 13 15:41 qtwebengine_resources_100p.pak
-rw-r--r--. 1 root root    848323 апр 13 15:41 qtwebengine_resources_200p.pak
-rw-r--r--. 1 root root   5656131 апр 13 15:41 qtwebengine_resources.pak
drwxr-xr-x. 1 root root       404 июн 29 23:33 Sound
-rw-r--r--. 1 root root    628314 апр 13 15:41 SplashScreen.rcc
drwxr-xr-x. 1 root root      5944 июн 29 23:33 translations
-rwxr-xr-x. 1 root root 157467682 апр 13 15:41 Viber


Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 30 июн 2016, 00:10 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Вложение:
v1.png
v1.png [ 92.6 КБ | Просмотров: 2528 ]


Вложение:
v2.png
v2.png [ 95.21 КБ | Просмотров: 2528 ]

Я ввожу тел. номер Viber аккаунта, ранее созданного с планшета с Android.
А вот в этом месте возникает новое непредвиденное затруднение:
- на экран выскакивает QR-код для подтверждения безопасности
- его нужно сосчитать камерой планшеты чтобы пройти...
- без планшета под рукой, думаю, пройти этот шаг невозможно.
Вложение:
v3.png
v3.png [ 63.15 КБ | Просмотров: 2528 ]


Вложение:
v4.png
v4.png [ 134.2 КБ | Просмотров: 2528 ]


Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 30 июн 2016, 00:30 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Olej писал(а):
А вот в этом месте возникает новое непредвиденное затруднение:
- на экран выскакивает QR-код для подтверждения безопасности
- его нужно сосчитать камерой планшеты чтобы пройти...
- без планшета под рукой, думаю, пройти этот шаг невозможно.

А вот на это место обратим особое внимание, это новое, после версии 6.0.Х.
Об этом есть специальная страница на сайте Как изменилась система безопасности Viber?.
Стоит даже коротко скопировать инструкцию:
Цитата:
До обновления всех дополнительных устройств до Viber версии 6.0 (или более поздней версии) вы не сможете пользоваться Viber на этих устройствах.

Обновление выполняется быстро и легко! Для этого:
1. Убедитесь, что мобильное устройство у вас под рукой
2. Откройте устройство, которое вы хотите обновить (любое из указанных выше)
3. Появится окно следующего вида:
Изображение
4. Выберите «Открыть сканнер на телефоне»
5. Откроется QR-сканер
6. С помощью сканера сканируйте код на экране
Изображение

У меня это выглядело так: камеру планшета навёл на QR-код на экране ноутбука.
По логике вещей, без сматфона или планшета под рукой пройти это невозможно.


Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 25 янв 2017, 22:08 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Olej писал(а):
Здесь сайт проекта и здесь вы можете завести себе team: https://slack.com/
Здесь для него WEB-интерфейс: https://slack.com/signin
Здесь - download для разных ОС: Desktop Apps

Пришло время повторить ;-) (другая ОС, другая разрядность, другие версии...)
Код:
olej@nvidia ~/Загрузки/Messenger $ ls -l slack-desktop-2.4.2-amd64.deb
-rw-r--r-- 1 olej olej 49071330 янв 25 20:51 slack-desktop-2.4.2-amd64.deb

Код:
olej@nvidia ~/Загрузки/Messenger $ sudo apt deb slack-desktop-2.4.2-amd64.deb
[sudo] пароль для olej:
Выбор ранее не выбранного пакета slack-desktop.
(Чтение базы данных … на данный момент установлено 234368 файлов и каталогов.)
Подготовка к распаковке slack-desktop-2.4.2-amd64.deb …
Распаковывается slack-desktop (2.4.2) …
Настраивается пакет slack-desktop (2.4.2) …
Обрабатываются триггеры для gnome-menus (3.13.3-6ubuntu3.1) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu5) …
Обрабатываются триггеры для mime-support (3.59ubuntu1) …


Вложения:
slack.png
slack.png [ 93.69 КБ | Просмотров: 323 ]
Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 03 мар 2017, 16:17 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
После очередного обновления (всего что есть пакетов из стандартного репозитория) Viber 6.0.1 не стартует с таким странным сообщанием:
Код:
[olej@dell ~]$ /opt/viber/Viber
/opt/viber/Viber: error while loading shared libraries: libqfacebook.so: cannot open shared object file: No such file or directory

Ещё вчера-позавчера эта же инсталляция Viber нормально стартовала.
Кто-то видел такое?
Что за библиотека?


Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 03 мар 2017, 16:21 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Olej писал(а):
Viber 6.0.1 не стартует с таким странным сообщанием:

Удалось выяснить из происходящее:
1. Viber запускался (т.е. не запускался) значком на рабочем столе (скопированном из меню запуска), где команда запуска была записана самой инсталляцией viber: /opt/viber/Viber
2. но после обновления пакетов из репозитория команда запуска поменялась, просто: Viber ... без указания путей
3. Но:
Код:
[olej@dell Sdk]$ which viber
/usr/bin/viber

4. т.е. они ввели дополнительный промежуточный уровень запуска:
Код:
[olej@dell Загрузки]$ cat /usr/bin/viber
#!/bin/bash
LD_LIBRARY_PATH=/opt/viber/lib /opt/viber/Viber

5. поменяв команду запуска (в свойствах значка или из терминала), восстановил работоспособность!


Вложения:
vb1.png
vb1.png [ 169.55 КБ | Просмотров: 225 ]
Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 06 мар 2017, 14:44 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
У Viber (Linux сборки) есть такая склонность - слетать при переключениях закладок ...
Возможно, не у всех версий.
Код:
[olej@dell ~]$ dnf list viber
Последняя проверка окончания срока действия метаданных: 12 days, 23:46:01 назад, Sat Feb 18 13:08:05 2017.
Доступные пакеты
viber.x86_64                                       6.0.1.5-2.fc23.R                                        russianfedora-nonfree-updates


Вложения:
vb.png
vb.png [ 17.66 КБ | Просмотров: 193 ]
Вернуться к началу
 Профиль Отправить личное сообщение  
 
 Заголовок сообщения: Re: Месенжеры
Непрочитанное сообщениеДобавлено: 06 мар 2017, 15:31 
Не в сети
Писатель
Аватара пользователя

Зарегистрирован: 24 сен 2011, 14:22
Сообщения: 9189
Откуда: Харьков
Olej писал(а):
У Viber (Linux сборки) есть такая склонность - слетать при переключениях закладок ...
Возможно, не у всех версий.

Сайт Viber
Цитата:
Viber для Linux позволяет ...
...
Проверено на: Ubuntu.
...
Мессенджер, который уже используют более 460 миллионов человек, теперь доступен и для Linux. Загрузите установщик и приготовтесь попробовать все возможности Viber без ограничений.

Код:
[olej@dell Messanger]$ ls -l viber.rpm
-rw-rw-r-- 1 olej olej 123779240 мар  6 14:26 viber.rpm


Вернуться к началу
 Профиль Отправить личное сообщение  
 
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 48 ]  На страницу Пред.  1, 2, 3, 4, 5  След.

Часовой пояс: UTC + 3 часа


Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Перейти:  
Создано на основе phpBB® Forum Software © phpBB Group
Русская поддержка phpBB
[ Time : 0.049s | 21 Queries | GZIP : On ]